Skip to main content
`Ctrl`+`K`
scipy.cluster.hierarchy.DisjointSet.

# merge

DisjointSet.merge(x, y)

  Merge the subsets of x and y.

  The smaller subset (the child) is merged into the larger subset (the parent). If the subsets are of equal size, the root element which was first inserted into the disjoint set is selected as the parent.

  Parameters:
    x, y hashable object

      Elements to merge.

  Returns:
    merged bool

      True if x and y were in disjoint sets, False otherwise.